---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualMachine07agent01.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x25C20, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x99, offset: 0x99, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x25C28, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xDC, offset: 0xDC, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x25C30, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x10A, offset: 0x10A, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x25C38, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x123, offset: 0x123, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x25C40, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x12E, offset: 0x12E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x25C44, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x139, offset: 0x139, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x25C48, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x4C07, offset: 0x4C07, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xEC0, symBinAddr: 0x2680, symSize: 0xA0 }
  - { offsetInCU: 0x4C6D, offset: 0x4C6D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x2270, symBinAddr: 0x3230, symSize: 0x220 }
  - { offsetInCU: 0x4E52, offset: 0x4E52, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1470, symBinAddr: 0x2720, symSize: 0x110 }
  - { offsetInCU: 0x4F48, offset: 0x4F48, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1580, symBinAddr: 0x2830, symSize: 0x150 }
  - { offsetInCU: 0x50EE, offset: 0x50EE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x2490, symBinAddr: 0x3450, symSize: 0xB0 }
  - { offsetInCU: 0x5149, offset: 0x5149, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x29F0, symBinAddr: 0x3500, symSize: 0x80 }
  - { offsetInCU: 0x5224, offset: 0x5224, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x18B0, symBinAddr: 0x2980, symSize: 0x270 }
  - { offsetInCU: 0x54D5, offset: 0x54D5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x1B20, symBinAddr: 0x2BF0, symSize: 0x100 }
  - { offsetInCU: 0x5593, offset: 0x5593, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1C20, symBinAddr: 0x2CF0, symSize: 0x160 }
  - { offsetInCU: 0x570E, offset: 0x570E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1D80, symBinAddr: 0x2E50, symSize: 0xB0 }
  - { offsetInCU: 0x57AA, offset: 0x57AA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x2090, symBinAddr: 0x30E0, symSize: 0x150 }
  - { offsetInCU: 0x59A2, offset: 0x59A2, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x1E30, symBinAddr: 0x2F00, symSize: 0x1E0 }
  - { offsetInCU: 0x5C0C, offset: 0x5C0C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2D70, symBinAddr: 0x3580, symSize: 0x182 }
...
